mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The interface provides access to documents, methods, and variables.

This interface is the managed counterpart of the ISymUnmanagedReader interface, one of the unmanaged symbol store interfaces that provide an alternative way to read and write debug symbol information.

Represents a symbol reader for managed code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolDocument `` `` `` `` To be added

  Gets a document specified by the language, vendor, and type.

  The specified document.

  The URL that identifies the document. The document language. You can specify this parameter as . The identity of the vendor for the document language. You can specify this parameter as . The type of the document. You can specify this parameter as .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolDocument[] To be added

  Gets an array of all documents defined in the symbol store.

  An array of all documents defined in the symbol store.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolVariable[] To be added

  Gets all global variables in the module.

  An array of all variables in the module.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolMethod `` To be added

  Gets a symbol reader method object when given the identifier of a method.

  The symbol reader method object for the specified method identifier.

  The metadata token of the method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolMethod `` `` To be added

  Gets a symbol reader method object when given the identifier of a method and its edit and continue version.

  The symbol reader method object for the specified method identifier.

  The metadata token of the method. The edit and continue version of the method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolMethod `` `` `` To be added

  Gets a symbol reader method object that contains a specified position in a document.

  The reader method object for the specified position in the document.

  The document in which the method is located. The position of the line within the document. The lines are numbered, beginning with 1. The position of column within the document. The columns are numbered, beginning with 1.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolNamespace[] To be added

  Gets the namespaces that are defined in the global scope within the current symbol store.

  The namespaces defined in the global scope within the current symbol store.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` ``

  This attribute is only associated with symbolic information and is not a metadata custom attribute.

  Gets an attribute value when given the attribute name.

  The value of the attribute.

  The metadata token for the object for which the attribute is requested. The attribute name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolVariable[] `` To be added

  Gets the variables that are not local when given the parent.

  An array of variables for the parent.

  The metadata token for the type for which the variables are requested.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.SymbolToken To be added: an object of type 'SymbolToken'

  This is normally your main method, rather than compiler-generated stubs before the main method.

  Gets the metadata token for the method that was specified as the user entry point for the module, if any.